"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_extra_1 = require("fs-extra");
exports.getTypeSnapshot = (filename, snapshotName) => {
    const snapshotPath = getSnapshotPath(filename);
    const json = fs_extra_1.readJsonSync(snapshotPath, { throws: false });
    if (!json) {
        return;
    }
    return json[snapshotName];
};
exports.updateTypeSnapshot = (filename, snapshotName, actualType) => {
    const snapshotPath = getSnapshotPath(filename);
    fs_extra_1.ensureFileSync(snapshotPath);
    const json = fs_extra_1.readJsonSync(snapshotPath, { throws: false }) || {};
    json[snapshotName] = actualType;
    fs_extra_1.writeJsonSync(snapshotPath, json);
};
function getSnapshotPath(filename) {
    const directory = path_1.dirname(filename);
    return path_1.resolve(directory, '__type-snapshots__', `${path_1.basename(filename)}.snap.json`);
}
